Subject: bug#22789: 25.1.50; In last master build https connections stop working

From: Alain Schneble <[email-masked]>
Date: Tue, 1 Mar 2016 15:25:53 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Andreas Schwab <[email-masked]> writes:
>
>> Lars Ingebrigtsen <[email-masked]> writes:
>>
>>> And I would guess that the same is true for the async DNS resolution --
>>> those processes also need some progress, probably?  
>>
>> getaddrinfo_a provides async notification (SIGEV_SIGNAL).
>
> But we're not using that.
>
> Anyway, all this async DNS/TLS stuff can probably be taken out of
> wait_reading_process_output completely, and just be run from the
> proposed new timer thing...  That'll be cleaner, too.

But we could probably make use of it and it would not require the timer
at least for the async DNS resolution.  It would not solve the TLS issue
though.  But maybe there is a similar notification for async sockets
when they get connected?  If there exists an approach that does not
require timers, then I guess this would be the preferred one...